import React from 'react'
import CheckBox from '../CheckBox'
import CheckmarkCircleIcon from '../../assets/svgs/selected_v.svg'
import ButtonBase from '../ButtonBase'

import './selection.scss'

export const SelectionCell = ({ selectionType, ...props }) => {
  return selectionType === SELECTION_TYPE.MULTIPLE
    ? <MultipleSelectionCell {...props} />
    : <SingleSelectionCell {...props} />
}

const MultipleSelectionCell = ({ isSelected, onClick, disabled }) => {
  return <CheckBox checked={isSelected} onChange={onClick} disabled={disabled}/>
}

const SingleSelectionCell = ({ isSelected, onClick, disabled }) => {
  return <ButtonBase className={'Suc-singular-selection-cell'} onClick={onClick} disabled={disabled}>{isSelected
    ? <CheckmarkCircleIcon checked={isSelected}/>
    : <div className="Suc-not-selected"/>}</ButtonBase>
}

export const SELECTION_TYPE = {
  NONE: 'NONE',
  SINGULAR: 'SINGULAR',
  MULTIPLE: 'MULTIPLE'
}
