import React from 'react'
import { action } from '@storybook/addon-actions'
import Notification from './index'
import { NOTIFICATION_TYPES } from '../../consts'

export default {
  title: 'Design System/Notification',
  component: Notification
}

const { SUCCESS, WARNING, ERROR, WARNING_ERROR, INFO } = NOTIFICATION_TYPES

const Template = (args) => <Notification {...args} />

export const Success = Template.bind({})

Success.args = {
  variant: SUCCESS,
  onRemove: () => action('removed'),
  children: 'Well done!'
}

export const warning = Template.bind({})
warning.args = {
  variant: WARNING,
  onRemove: () => action('removed'),
  children: 'Well done!'
}

export const error = Template.bind({})
error.args = {
  variant: ERROR,
  onRemove: () => action('removed'),
  children: 'Well done!'
}

export const errorWarning = Template.bind({})
errorWarning.args = {
  variant: WARNING_ERROR,
  onRemove: () => action('removed'),
  children: 'Important warning'
}

export const info = Template.bind({})
info.args = {
  variant: INFO,
  onRemove: () => action('removed'),
  children: 'Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!Well done!'
}

export const expandable = Template.bind({})
expandable.args = {
  variant: ERROR,
  onRemove: () => action('removed'),
  children: 'There is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an errorThere is an error',
  expandable: true,
  expandedDescription: <div>I'm the description</div>
}
