import React, { useState } from 'react'
import RadioButton from './index'

export default {
  title: 'Design System/Radio Button',
  component: RadioButton
}

const Template = (args) => <RadioButton {...args} />

export const regular = Template.bind({})

regular.args = {
  onChange: () => {
  },
  children: 'label text',
  checked: false
}

export const active = Template.bind({})

active.args = {
  onChange: () => {
  },
  children: 'label text',
  checked: true
}

export const disabledActive = Template.bind({})

disabledActive.args = {
  onChange: () => {
  },
  children: 'label text',
  checked: true,
  disabled: true
}
export const disabled = Template.bind({})

disabled.args = {
  onChange: () => {
  },
  children: 'label text',
  checked: false,
  disabled: true,
  disabledTitle: 'sorry you cant change this'
}

export const withError = Template.bind({})

withError.args = {
  onChange: () => {
  },
  children: 'label text',
  checked: false,
  error: 'This is an error'
}

export const Form = (props) => {
  const [activeIndex, setActiveIndex] = useState(0)
  return <>
    <RadioButton checked={activeIndex === 0} onChange={(e) => setActiveIndex(0)}>I'm option 1</RadioButton>
    <RadioButton checked={activeIndex === 1} onChange={(e) => setActiveIndex(1)}>I'm option 2</RadioButton>
    <RadioButton checked={activeIndex === 2} onChange={(e) => setActiveIndex(2)}>I'm option 3</RadioButton>
    <RadioButton checked={activeIndex === 3} onChange={(e) => setActiveIndex(3)}>I'm option 4</RadioButton>
  </>
}
