import initStoryshots from '@storybook/addon-storyshots'
import { imageSnapshot } from '@storybook/addon-storyshots-puppeteer'

const getMatchOptions = ({ context: { kind, story }, url }) => {
  return {
    failureThreshold: 0.01,
    failureThresholdType: 'percent'
  }
}
const storiesWithAnimationsOnLoad = ['Design System/Donut Chart', 'Icons']

const beforeScreenshot = (page, { context: { kind, story }, url }) => {
  return new Promise((resolve) => {
    if (storiesWithAnimationsOnLoad.includes(kind)) {
      setTimeout(() => {
        resolve()
      }, 600)
    } else {
      resolve()
    }
  })
}
initStoryshots({
  suite: 'Image storyshots',
  test: imageSnapshot({
    getMatchOptions,
    beforeScreenshot
  })
})
